import processing.core.*; 
import processing.xml.*; 

import java.applet.*; 
import java.awt.*; 
import java.awt.image.*; 
import java.awt.event.*; 
import java.io.*; 
import java.net.*; 
import java.text.*; 
import java.util.*; 
import java.util.zip.*; 
import java.util.regex.*; 

public class Etchasketch extends PApplet {

int lw;
int x = 0;
int y = 0;
int r = 0;
int g = 0;
int b = 0;

public void setup() {
size(600,600);
background(255);
smooth();
PFont font;
font = loadFont("font2.vlw");
textFont(font);
fill(0,0,0);
text("Etchasketch",200,50);
text("E = Erase      S = Small",5,100);
text("M = Medium      L = Large",5,120);
text("R = Red      G = Green",5,160);
text("B = Blue      Y = Yellow",5,180);
text("P = Pink      Z = Black",5,200);
text("W = White",5,220);
text("Up Arrow = UP",5,260);
text("Left Arrow = LEFT",5,280);
text("Down Arrow = DOWN",5,300);
text("Right Arrow = FRIGHT",5,320);
text("Press Q to START!",5,380);
text("Made By: Chase Thomas; Dataanti",90,575);
}
public void draw() {
if (key == 'q')
{
rect (-5,-5,705,705);
fill (255,255,255);
lw = 2;
}
if (key == 's')
{
lw = 2;
}
if (key == 'm')
{
lw = 4;
}
if (key == 'l')
{
lw = 6;
}
if (key == 'r')
{
r = 255;
g = 0;
b = 0;
}
if (key == 'g')
{
r = 0;
g = 255;
b = 0;
}
if (key == 'b')
{
r = 0;
g = 0;
b = 255;
}
if (key == 'p')
{
r = 255;
g = 0;
b = 255;
}
if (key == 'y')
{
r = 255;
g = 255;
b = 0;
}
if (key == 'w')
{
r = 255;
g = 255;
b = 255;
}
if (key == 'z')
{
r = 0;
g = 0;
b = 0;
}
if (key == 'e')
{
rect (-5,-5,705,705);
fill (255,255,255);
}
strokeWeight(lw);
stroke(r,g,b);
line(x,y,x,y);
}

public void keyPressed() 
{
  if (key == CODED)
  {
    if (keyCode == DOWN)
    {
      y+=1.5f;
    }
    if (keyCode == UP)
    {
      y-=1.5f;
    }
    if (keyCode == RIGHT)
    {
      x+=1.5f;
    }
    if (keyCode == LEFT)
    {
      x-=1.5f;
    }
  }
}

  static public void main(String args[]) {
    PApplet.main(new String[] { "--bgcolor=#D4D0C8", "Etchasketch" });
  }
}
